This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 431368 - Review Request: inconsoleata-fonts - A monospace font, designed for code listings and the like, in print
Review Request: inconsoleata-fonts - A monospace font, designed for code list...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 486269
  Show dependency treegraph
 
Reported: 2008-02-03 12:35 EST by Kevin Fenzi
Modified: 2009-02-20 04:46 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-13 12:18:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kevin Fenzi 2008-02-03 12:35:36 EST
Spec URL: http://www.scrye.com/~kevin/fedora/inconsoleata-fonts/inconsolata-fonts.spec
SRPM URL: http://www.scrye.com/~kevin/fedora/inconsoleata-fonts/inconsolata-fonts-1.009-1.fc9.src.rpm
Description: 

A monospace font, designed for code listings and the like, in print
Comment 1 Parag AN(पराग) 2008-02-04 01:55:20 EST
Review:
+ package builds in mock.
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
378f8830bc66804d5fe2e7338598e654  Inconsolata.sfd
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
  strings  Inconsolata.sfd | grep OFL
Copyright: Created by Raph Levien using his own tools and FontForge. Copyright
2006 Raph Levien. Released under the SIL Open Font License,
http://scripts.sil.org/OFL.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ followed fonts packaging guidelines.

APPROVED.
Comment 2 Kevin Fenzi 2008-02-04 14:31:46 EST
Thanks for the speedy review!

New Package CVS Request
=======================
Package Name: inconsolata-fonts
Short Description: A monospace font, designed for code listings and the like, in
print
Owners: kevin
Branches: F-8
InitialCC: 
Cvsextras Commits: yes


Comment 3 Kevin Fenzi 2008-02-04 14:51:12 EST
cvs done.
Comment 4 Parag AN(पराग) 2008-02-13 00:54:26 EST
Is this built?
Comment 5 Kevin Fenzi 2008-02-13 12:18:01 EST
Yes indeed. Done and pushed. 
Closing. 

Note You need to log in before you can comment on or make changes to this bug.